Passer au contenu

conferenceData

Requête

Retrieve LiveID+ video identification calls data

Notice: for details about module structure provided in "data" parameter see this ConferenceData response: module structure

Sécurité
ConferenceToken
Corpsapplication/json
modulestring

Id of the module to retrieve. If not provided, all the data of the call will be returned.

Enum:"photo""formfilling"
curl -i -X GET \
  https://liveid.test.namirialtsp.com/api/v2/conferenceData \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "module": "photo"
  }'

Réponses

Success

Corps
servicestring

Service endpoint

successboolean

Success result

Par défaut:true
call_answer_datestring, (datetime)

date when the call was answered by an operator

call_end_datestring, (datetime)

date when the call was closed

call_last_activitystring, (datetime)

date of the last activity on the call

end_patternstring(EndPattern)

Status of the call

  • N Closed succesfully
  • A Aborted by operator
  • K System KO
  • S Suspended
  • ACTIVE Still running
  • EXPIRED Expired (no one answered)
  • CANCELLED Cancelled by user
Enum:"N""A""K""S""ACTIVE""EXPIRED""CANCELLED"
operatorobject
dataobject

json of the requested data

Réponse
{ "service": "string", "success": true, "call_answer_date": "string", "call_end_date": "string", "call_last_activity": "string", "end_pattern": "N", "operator": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "external_id": "string" }, "data": {} }